Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

glib-sharp2-2.12.45-3.5 RPM for i586

From OpenSuSE Tumbleweed for i586

Name: glib-sharp2 Distribution: openSUSE Tumbleweed
Version: 2.12.45 Vendor: openSUSE
Release: 3.5 Build date: Thu Sep 1 04:52:28 2022
Group: System/GUI/GNOME Build host: sheep83
Size: 174735 Source RPM: gtk-sharp2-2.12.45-3.5.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/mono/gtk-sharp
Summary: Mono bindings for glib
This package contains Mono bindings for glib.

Provides

Requires

License

LGPL-2.1-only

Changelog

* Mon Nov 01 2021 Michael Gorse <mgorse@suse.com>
  - Disable docs on ppc64 and s390x. Mdoc.exe currently isn't
    available there.
* Tue Mar 02 2021 Marguerite Su <i@marguerite.su>
  - glade-sharp2 requires libglade-2_0-0 (boo#1177544)
* Wed Jan 29 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Update to version 2.12.45: no changelogs provided.
  - Add gtk-sharp2-csharp8.patch: Fix build failure with mcs caused
    by C#8 changes in mcs. Fixes build with mono-core 6.4.
* Wed Feb 07 2018 fwdsbs.to.11df@xoxy.net
  - Update version to 2.12.41 from project's github page: https://github.com/mono/gtk-sharp/releases
  - Remove patch: gtk-sharp2-glib-2_31.patch
  - Remove patch: gtk-sharp2-gmcs-as-compiler.patch
  - Add fix-64bit-portability-issue.patch:
    * fix "64bit-portability-issue" error at windowmanager.c:113
* Wed Sep 28 2016 fwdsbs.to.11df@xoxy.net
  - fix install phase: set MONO_GAC_PREFIX env variable pointing to %{buildroot}%{_prefix}.
    gacutil from mono >= 4.6 need this variable to find libraries installed in non-default gac location, even if this location provided by "root" or "gacdir" cmdline option
* Mon Dec 07 2015 lnussel@suse.de
  - run ldconfig in post/postun also in glib-sharp2 package
* Fri Dec 04 2015 meissner@suse.com
  - run ldconfig in post/postun
* Mon Jan 28 2013 dimstar@opensuse.org
  - Add gtk-sharp2-gmcs-as-compiler.patch: Choose gmcs as the
    prefered compiler. This will build gtk sharp2 with .Net runtime
    4.0.
  - Add libtool BuildRequires and call to autoreconf, as above patch
    touches the build system.
* Thu Feb 09 2012 dimstar@opensuse.org
  - Add gtk-sharp2-glib-2_31.patch: Only glib.h can be #include'd
    with glib 2.31.
* Sat Nov 06 2010 aj@suse.de
  - Readd glade-sharp2 which was lost in last change.

Files

/usr/lib/libglibsharpglue-2.so
/usr/lib/mono/gac/glib-sharp
/usr/lib/mono/gac/glib-sharp/2.12.0.0__35e10195dab3c99f
/usr/lib/mono/gac/glib-sharp/2.12.0.0__35e10195dab3c99f/glib-sharp.dll
/usr/lib/mono/gac/glib-sharp/2.12.0.0__35e10195dab3c99f/glib-sharp.dll.config
/usr/lib/mono/gac/glib-sharp/2.12.0.0__35e10195dab3c99f/glib-sharp.dll.mdb
/usr/lib/mono/gac/policy.2.10.glib-sharp
/usr/lib/mono/gac/policy.2.10.glib-sharp/0.0.0.0__35e10195dab3c99f
/usr/lib/mono/gac/policy.2.10.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.10.config
/usr/lib/mono/gac/policy.2.10.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.10.glib-sharp.dll
/usr/lib/mono/gac/policy.2.4.glib-sharp
/usr/lib/mono/gac/policy.2.4.glib-sharp/0.0.0.0__35e10195dab3c99f
/usr/lib/mono/gac/policy.2.4.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.config
/usr/lib/mono/gac/policy.2.4.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.glib-sharp.dll
/usr/lib/mono/gac/policy.2.6.glib-sharp
/usr/lib/mono/gac/policy.2.6.glib-sharp/0.0.0.0__35e10195dab3c99f
/usr/lib/mono/gac/policy.2.6.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.config
/usr/lib/mono/gac/policy.2.6.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.glib-sharp.dll
/usr/lib/mono/gac/policy.2.8.glib-sharp
/usr/lib/mono/gac/policy.2.8.glib-sharp/0.0.0.0__35e10195dab3c99f
/usr/lib/mono/gac/policy.2.8.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.config
/usr/lib/mono/gac/policy.2.8.glib-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.glib-sharp.dll
/usr/lib/mono/gtk-sharp-2.0/glib-sharp.dll
/usr/lib/mono/gtk-sharp-2.0/policy.2.10.glib-sharp.dll
/usr/lib/mono/gtk-sharp-2.0/policy.2.4.glib-sharp.dll
/usr/lib/mono/gtk-sharp-2.0/policy.2.6.glib-sharp.dll
/usr/lib/mono/gtk-sharp-2.0/policy.2.8.glib-sharp.dll
/usr/lib/pkgconfig/glib-sharp-2.0.pc


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Dec 5 23:18:28 2022